/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mcts;

import java.util.ArrayList;
import tictactoecodingame.Coup;
import tictactoecodingame.Joueur;
import tictactoecodingame.Plateau;

/**
 *
 * @author Lloyd
 */

public class Etat {
    
    Plateau plateau;
    int nbVisite;
    int nbVictoire;
    int numJoueur;
    ArrayList<Coup> coupsPossibles;
    
   //constructor

    public Etat(Plateau plateau, Joueur joueur) {
        this.plateau = plateau;
        numJoueur = joueur.getIdJoueur();
        coupsPossibles = plateau.getListeCoups(joueur);
        nbVisite = 0;
        nbVictoire = 0;
    }
    
    public Etat() {
        coupsPossibles = new ArrayList();
    }

    public Plateau getPlateau() {
        return plateau;
    }

    public void setPlateau(Plateau plateau) {
        this.plateau = plateau;
    }

    public int getNumJoueur() {
        return numJoueur;
    }

    public void setNumJoueur(int numJoueur) {
        this.numJoueur = numJoueur;
    }

    public int getNbVisite() {
        return nbVisite;
    }

    public void setNbVisite(int nbVisite) {
        this.nbVisite = nbVisite;
    }

    public int getNbVictoire() {
        return nbVictoire;
    }

    public void setNbVictoire(int nbVictoire) {
        this.nbVictoire = nbVictoire;
    }
    
    public ArrayList<Coup> getCoupsPossibles() {
        return coupsPossibles;
    }

    public void setCoupsPossibles(ArrayList<Coup> coupsPossibles) {
        this.coupsPossibles = coupsPossibles;
    }
    
    public void updateNbVisite() {
        setNbVisite(getNbVisite()+1);
    }
    
    public void updateNbVictoire() {
        setNbVictoire(getNbVictoire()+1);
    }
}
